MirrorType (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache, class: MirrorType

Package org.apache.geode.cache

# Class MirrorType

java.lang.Object
org.apache.geode.cache.MirrorType

All Implemented Interfaces:
  `Serializable`

@Deprecated @Immutable public class MirrorType extends Object implements Serializable
Deprecated.
as of GemFire 5.0, use `DataPolicy` instead.
Enumerated type for region mirroring.

Since:
  GemFire 3.0
See Also:
  - `AttributesFactory.setMirrorType(org.apache.geode.cache.MirrorType)`
  - `RegionAttributes.getMirrorType()`
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final MirrorType`
  `KEYS`
  Deprecated.
  as of GemFire 5.0, use `DataPolicy.REPLICATE` instead.
  `static final MirrorType`
  `KEYS_VALUES`
  Deprecated.
  as of GemFire 5.0, use `DataPolicy.REPLICATE` instead.
  `static final MirrorType`
  `NONE`
  Deprecated.
  as of GemFire 5.0, use `DataPolicy.NORMAL` instead.
  `final int`
  `ordinal`
  Deprecated.
  int used as ordinal to represent this Scope

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MirrorType`
  `fromOrdinal(int ordinal)`
  Deprecated.
  Return the MirrorType represented by specified ordinal
  `DataPolicy`
  `getDataPolicy()`
  Deprecated.
  Returns the `DataPolicy` that corresponds to this mirror type.
  `boolean`
  `isKeys()`
  Deprecated.
  Return whether this is `KEYS`.
  `boolean`
  `isKeysValues()`
  Deprecated.
  Return whether this is `KEYS_VALUES`.
  `boolean`
  `isMirrored()`
  Deprecated.
  Return whether this indicates a mirrored type.
  `boolean`
  `isNone()`
  Deprecated.
  Return whether this is `NONE`.
  `String`
  `toString()`
  Deprecated.
  Returns a string representation for this mirror type.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### NONE

    @Deprecated @Immutable public static final MirrorType NONE
    Deprecated.
    as of GemFire 5.0, use `DataPolicy.NORMAL` instead.
    New entries created in other caches for this region are not automatically propagated to this region in this cache.

  - ### KEYS

    @Deprecated @Immutable public static final MirrorType KEYS
    Deprecated.
    as of GemFire 5.0, use `DataPolicy.REPLICATE` instead.
    New entries created in other caches for this region are propagated to this region in this cache, but the value is not necessarily copied to this cache with the key.

  - ### KEYS_VALUES

    @Deprecated @Immutable public static final MirrorType KEYS_VALUES
    Deprecated.
    as of GemFire 5.0, use `DataPolicy.REPLICATE` instead.
    New entries created in other caches for this region are propagated to this region in this cache and the value is also copied to this cache.

  - ### ordinal

    public final int ordinal
    Deprecated.
    int used as ordinal to represent this Scope

- ## Method Details

  - ### fromOrdinal

    public static MirrorType fromOrdinal(int ordinal)
    Deprecated.
    Return the MirrorType represented by specified ordinal
    Parameters:
      `ordinal` - the ordinal representation of a MirrorType
    Returns:
      the MirrorType represented by specified ordinal

  - ### getDataPolicy

    public DataPolicy getDataPolicy()
    Deprecated.
    Returns the `DataPolicy` that corresponds to this mirror type.
    Returns:
      the `DataPolicy` that corresponds to this mirror type
    Since:
      GemFire 5.0

  - ### isKeys

    public boolean isKeys()
    Deprecated.
    Return whether this is `KEYS`.
    Returns:
      whether this is `KEYS`

  - ### isKeysValues

    public boolean isKeysValues()
    Deprecated.
    Return whether this is `KEYS_VALUES`.
    Returns:
      whether this is `KEYS_VALUES`

  - ### isNone

    public boolean isNone()
    Deprecated.
    Return whether this is `NONE`.
    Returns:
      whether this is `NONE`

  - ### isMirrored

    public boolean isMirrored()
    Deprecated.
    Return whether this indicates a mirrored type.
    Returns:
      true if `KEYS` or `KEYS_VALUES`

  - ### toString

    public String toString()
    Deprecated.
    Returns a string representation for this mirror type.
    Overrides:
      `toString` in class `Object`
    Returns:
      the name of this mirror type